Package serp.bytecode.lowlevel

# Class InterfaceMethodEntry

java.lang.Object
serp.bytecode.lowlevel.Entry
serp.bytecode.lowlevel.ComplexEntry
serp.bytecode.lowlevel.InterfaceMethodEntry

All Implemented Interfaces:
  `VisitAcceptor`

public class InterfaceMethodEntry extends ComplexEntry
A reference to an interface method.

Author:
  Abe White

## Field Summary

### Fields inherited from class serp.bytecode.lowlevel.Entry

`CLASS, DOUBLE, FIELD, FLOAT, INT, INTERFACEMETHOD, INVOKEDYNAMIC, LONG, METHOD, METHODHANDLE, METHODTYPE, NAMEANDTYPE, STRING, UTF8`

## Constructor Summary

Constructors
Constructor
Description
`InterfaceMethodEntry()`
Default constructor.
`InterfaceMethodEntry(int classIndex, int nameAndTypeIndex)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptVisit(BCVisitor visit)`
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.
`int`
`getType()`
Return the type code for this entry type.

### Methods inherited from class serp.bytecode.lowlevel.ComplexEntry

`getClassEntry, getClassIndex, getNameAndTypeEntry, getNameAndTypeIndex, setClassIndex, setNameAndTypeIndex`

### Methods inherited from class serp.bytecode.lowlevel.Entry

`create, getIndex, getPool, isWide, read, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InterfaceMethodEntry

public InterfaceMethodEntry()
Default constructor.

### InterfaceMethodEntry

public InterfaceMethodEntry(int classIndex, int nameAndTypeIndex)
Constructor.

See Also:
  - `ComplexEntry(int,int)`

## Method Details

### getType

public int getType()
Description copied from class: `Entry`
Return the type code for this entry type.

Specified by:
  `getType` in class `Entry`

### acceptVisit

public void acceptVisit(BCVisitor visit)
Description copied from interface: `VisitAcceptor`
Accept a visit from a `BCVisitor`, calling the appropriate methods to notify the visitor that it has entered this entity, and to provide it with the proper callbacks for each sub-entity owned by this one.